<!-- BEGIN: Body-->

<div class="vertical-layout vertical-menu-modern blank-page navbar-floating footer-static  " data-open="click" data-menu="vertical-menu-modern" data-col="blank-page">
    <!-- BEGIN: Content-->
    <div class="app-content content ">
        <div class="content-overlay"></div>
        <div class="header-navbar-shadow"></div>
        <div class="content-wrapper">
            <div class="content-header row">
            </div>
            <div class="content-body">
                <div class="auth-wrapper auth-cover">
                    <div class="auth-inner row m-0">
                        <!-- Brand logo-->
                        <a class="brand-logo" routerLink="/">
                            <img src="assets/img/techbynexarise.png" alt="" width="150">
                            <!-- <h2 class="brand-text text-primary ms-1">Tech by Nexarise</h2> -->
                        </a>
                        <!-- /Brand logo-->
                        <!-- Left Text-->
                        <div class="d-none d-lg-flex col-lg-8 align-items-center p-5 bg-black">
                            <div class="w-100 d-lg-flex align-items-center justify-content-center px-5"><img class="img-fluid" src="assets/img/banner/login-v2.svg" alt="Register V2" /></div>
                        </div>
                        <!-- /Left Text-->
                        <!-- Register-->
                        <div class="d-flex col-lg-4 align-items-center auth-bg px-2 p-lg-5">
                            <div class="col-12 col-sm-8 col-md-6 col-lg-12 px-xl-2 mx-auto">
                                <h2 class="card-title fw-bold text-center mb-1">Inscrivez-vous sur Tech by Nexarise! 👋</h2>
                                <form class="auth-login-form mt-2" [formGroup]="form" (ngSubmit)="submit()">
                                    <div class="mb-1">
                                        <label class="form-label" for="nom">Nom(s)</label>
                                        <input class="form-control" id="nom" type="text" formControlName="firstName" placeholder="Jean" aria-describedby="nom" autofocus="" tabindex="1"/>
                                    </div>
                                    <div class="mb-1">
                                        <label class="form-label" for="prenom">Prénom(s)</label>
                                        <input class="form-control" id="prenom" type="text" formControlName="lastName" placeholder="Moulin" aria-describedby="prenom" autofocus="" tabindex="1"/>
                                    </div>
                                    <div class="mb-1">
                                        <label class="form-label" for="email">Adresse email</label>
                                        <input class="form-control" id="email" type="email" formControlName="email" placeholder="john@example.com" aria-describedby="email" autofocus="" tabindex="1"/>
                                    </div>
                                    
                                    
                                    <div class="mb-1">
                                        <div class="d-flex justify-content-between">
                                            <label class="form-label" for="login-password">Mot de passe</label>
                                            <!-- <a href="auth-forgot-password-cover.html"><small>Forgot Password?</small></a> -->
                                        </div>
                                        <div class="input-group input-group-merge form-password-toggle">
                                            <input class="form-control form-control-merge" id="login-password" type="password" formControlName="password" placeholder="············" aria-describedby="login-password" tabindex="2" />
                                        </div>
                                    </div>
                                    <div class="mb-1">
                                        <div class="d-flex justify-content-between">
                                            <label class="form-label" for="login-password">Confirmer votre mot de passe</label>
                                            <!-- <a href="auth-forgot-password-cover.html"><small>Forgot Password?</small></a> -->
                                        </div>
                                        <div class="input-group input-group-merge form-password-toggle">
                                            <input class="form-control form-control-merge" id="login-password" type="password" formControlName="confirmPassword" placeholder="············" aria-describedby="login-password" tabindex="2" />
                                        </div>
                                    </div>
                                    <input type="submit" hidden>
                                  <app-gen-button (genClick)="submit()" [text]="'S\'inscrire'" [customClass]="'w-100'" [disabled]="!form.valid" [isLoading]="isLoading"></app-gen-button>
                                </form>
                                <p class="text-center mt-2"><span>Déjà un compte?</span><a routerLink="/users/login"><span>&nbsp;Connectez-vous</span></a></p>
                            </div>
                        </div> 
                        <!-- /Register-->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- END: Content-->
</div>
<!-- END: Body-->
 